$ !**********************************************************************
$ !            Site independant VECCE set up procedure
$ !            Must be called AFTER terminal set - up.
$ !            Assumes the logical name ECCE is defined to be the
$ !            directory where all the files reside
$ !            There is one parameter - the 'root' (ie without type)
$ !            filename for the PRE file. This defaults to ECCE:PREDEFS
$ !**********************************************************************
$ CALL TERMSET
$ !
$ !  Pre-definition file. The file type is set up to be the terminal type
$ !
$ root = "ECCE:PREDEFS"
$ IF p1 .nes. "" THEN root = p1
$ IF ttype .nes. "" THEN define ecce_pre  'root'.'ttype'
$ !
$ !  The executable image file.  
$ !  This should preferably be INSTALLed with EXQUOTA privilege
$ !
$ define ecce_exe  ecce:vecce.exe
$ !
$ !  The spelling dictionary
$ !
$ define ecce_dict ecce:dict.map
$ !
$ !  PERM file for IMP syntax checking
$ !
$ define ecce_perm ecce:iperm.imp
$ !
$ !  The help library, for access via the %H command
$ !
$ define ecce_help ecce:vecce.hlb
$ CALL setlib ecce:vecce.hlb
$ !
$ !  Patch the process DCL tables.  It would be preferable to patch the system
$ !  tables by
$ !  $ set command/tables=sys$system:dcltables vecce
$ !  in which case this file should be part of the startup file.
$ !
$ set command      ecce:vecce.cld
$ exit

TERMSET:    SUBROUTINE
$ !**********************************************************************
$ !  Sets the symbol TTYPE to the terminal type.
$ !**********************************************************************
$ ttnum = f$getdvi("tt","devtype")
$ ON WARNING THEN GOTO UNKNOWN
$ GOTO tt'ttnum'
tt110:      ttype == "vt200"
$ exit
tt102:      ttype == "vt131"
$ exit
tt96:       ttype == "vt100"
$ exit
tt64:       ttype == "vt52"
$ exit
tt187:      ttype == "bbcx"
$ exit
tt188:      ttype == "newbury"
$ exit
tt189:      ttype == "esprit"
$ exit
tt0:
UNKNOWN:    ttype == ""
$ exit
$ ENDSUBROUTINE

SETLIB: SUBROUTINE
$ !
$ ! Find the next free help-library slot and define it to be the parameter string
$ !
$ lib = "HLP$LIBRARY"
$ i = 0
loop:
$ IF F$TRNLNM(lib) .eqs. p1 THEN exit
$ IF F$TRNLNM(lib) .eqs. "" THEN GOTO out
$ i = i + 1
$ lib = "HLP$LIBRARY_"+F$STRING(i)
$ IF i .le. 10 THEN GOTO loop
out:
$ DEFINE 'lib' 'p1'
$ exit
$ ENDSUBROUTINE
